<template>
  <path d="M48.823 94C47.772 92.1796 46.8878 90.2802 46.1753 88.3248L52.6186 81.8815C55.3206 94.5215 66.5533 104 79.9998 104C85.2167 104 90.1004 102.573 94.2819 100.089H106.753C101.666 105.738 94.921 109.633 87.4847 111.213C80.0484 112.794 72.3025 111.98 65.3573 108.888C58.4122 105.795 52.6242 100.584 48.823 94Z" fill="url(#paint0_linear)"/>
  <path fill-rule="evenodd" clip-rule="evenodd" d="M128 64C128 99.3462 99.3462 128 64 128C28.6538 128 0 99.3462 0 64C0 28.6538 28.6538 0 64 0C99.3462 0 128 28.6538 128 64ZM19.6605 104.66C30.6577 116.646 46.4514 124.16 64 124.16C97.2254 124.16 124.16 97.2254 124.16 64C124.16 47.783 117.743 33.0647 107.31 22.2455L89.665 41.3217C91.3583 41.7936 93.0221 42.391 94.6424 43.1124C101.588 46.2046 107.376 51.4161 111.177 58H101.448C96.312 51.8861 88.6098 48 79.9998 48C78.8454 48 77.7073 48.0699 76.5895 48.2056L84.6943 40.3074L84.7052 40.3088L105.757 20.6922C94.9377 10.2577 80.2183 3.84 64 3.84C30.7746 3.84 3.84 30.7746 3.84 64C3.84 78.824 9.20163 92.3957 18.0915 102.882L34.3252 81.8733C32.9078 81.2405 31.5262 80.5138 30.1901 79.695C22.8815 75.2163 17.4108 68.2768 14.762 60.1246C12.1132 51.9724 12.4601 43.1426 15.7403 35.2234C19.0206 27.3042 25.0189 20.8153 32.6563 16.9238C40.2938 13.0323 49.0692 11.9937 57.404 13.9947C65.7389 15.9958 73.0863 20.9051 78.1246 27.8398H67.3376C62.425 23.5787 56.0136 21 49 21C33.536 21 21 33.536 21 49C21 63.3212 31.7517 75.1312 45.6236 76.7985L57.4444 63.5H47.5V55H70L47 78L46.9943 77.9986L41.9944 82.9984L42 83L20 105L19.6605 104.66Z" fill="url(#paint1_linear)"/>
  <defs>
  <linearGradient id="paint0_linear" x1="0" y1="64" x2="128" y2="64" gradientUnits="userSpaceOnUse">
  <stop stop-color="#5433FF"/>
  <stop offset="0.5" stop-color="#20BDFF"/>
  <stop offset="1" stop-color="#A5FECB"/>
  </linearGradient>
  <linearGradient id="paint1_linear" x1="0" y1="64" x2="128" y2="64" gradientUnits="userSpaceOnUse">
  <stop stop-color="#5433FF"/>
  <stop offset="0.5" stop-color="#20BDFF"/>
  <stop offset="1" stop-color="#A5FECB"/>
  </linearGradient>
  </defs>
</template>

<script>
import { defineComponent } from "vue"

export default defineComponent({
  name: "GcLogo",
});
</script>